Subject: Re: Migrating svn to git with heavy use of externals

From: "D. Stuart Freeman" <[email-masked]>
Date: Tue, 08 Apr 2008 14:07:04 -0400

Maybe I should clarify.
I've imported an svn managed project into a git repository
with 71 submodules, what I don't understand though is if I
have a branch called 2-5-x and another called 2-4-x in each of
the submodules and the superproject, is there a way to
associate those?

D. Stuart Freeman wrote:
> I'm a developer on the Sakai project.  I think Sakai could benefit
> greatly from use of git because we have a huge need to track local
> changes while contributing back to a central codebase.  I've started
> looking at git-svn and have managed to get a copy of our repository into
> git, and looked at the stuff to do with submodules as a replacement for
> externals.  The problem is we rely very heavily on externals, for
> instance when we make a tag for release we tag all the modules at the
> same time and use an externals file to build the release from those
> tags.  I realize that's probably not a best practice, but it's what we
> do.  Our latest release is here:
> https://source.sakaiproject.org/svn/sakai/tags/sakai_2-5-0/ if you want
> to get an idea of the scope of the problem.  How would you convert this
> to a git repository?  I'm currently looking at
> http://blog.alieniloquent.com/2008/03/08/git-svn-with-svnexternals/ but
> that doesn't look like it would leave all the old release tags intact.
> 

-- 
D. Stuart Freeman
Georgia Institute of Technology